Google Cloud
probe Load Balancer

# get_backend_service_health

Fetch the health of backend services

Run it now
View details

Type | probe
Module | chaosgcp.lb.probes
Name | get_backend_service_health
Return | list

Usage

JSON

    {
      "name": "get-backend-service-health",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.monitoring.probes",
        "func": "get_backend_service_health",
        "arguments": {
          "backend_service": ""
        }
      }
    }

YAML

    name: get-backend-service-health
    provider:
      arguments:
        backend_service: ''
      func: get_backend_service_health
      module: chaosgcp.lb.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
backend_service | string |  | Yes | Backend Service | The name of the backend service
project_id | string |  | No | Project | Name of the GCP project in which the backend service is running

Signature

    def get_backend_service_health(
        backend_service: str,
        project_id: str = None,
        region: str = None,
        configuration: Configuration = None,
        secrets: Secrets = None,
    ) -> List[Dict[str, Any]]:
        pass

## Related starters

- Google Cloud
  action Load Balancer

  ## `remove_latency_from_endpoint`

  Remove latency from a particular URL served by your load balancer
- Google Cloud
  action Load Balancer

  ## `inject_traffic_faults`

  Add/set HTTP status codes for a percentage of requests going through a url map on a given path
- Google Cloud
  action Load Balancer

  ## `remove_fault_injection_traffic_policy`

  Remove any fault injection policy from url map on a given path